# $Revision: 1.16 $, $Date: 2002/10/05 11:24:06 $
%define		ver	0.98
Summary:	An X Window System based tool for creating CDs
Summary(es):	Herramienta grfica para crear CDs
Summary(pl):	Narzdzie pod X do nagrywania pyt CD
Summary(pt_BR):	Ferramenta grfica para criao de CDs
Name:		xcdroast
Version:	%{ver}alpha10
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-home_etc.patch
URL:		http://www.xcdroast.org/
Requires:	cdrtools >= 1.11
Requires:	cdrtools-readcd >= 1.11
Requires:	cdrtools-mkisofs >= 1.11
Requires:	cdrtools-cdda2wav >= 1.11
BuildRequires:	XFree86-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
X-CD-Roast provides a GUI interface for commands like cdrecord and
mkisofs. X-CD-Roast includes a self-explanatory X11 user interface,
automatic SCSI and IDE hardware setup, support for mastering of new
ISO9660 data CDs, support for production of new audio CDs, fast
copying of CDs without hard disk buffering, and a logfile option.

%description -l es
X-CD-Roast suministra una interfaz grfica para las rdenes mkisofs y
cdrecord. Su interfaz es autoexplicativa. Proporciona deteccin
automtica del hardware SCSI y IDE, soporte para crear nuevos CDs de
datos ISO9660, soporte para produccin de CDs de sonido, copia rpida
de CDs sin grabacin en el discoduro y opcin para generar archivo de
log.

%description -l pl
X-CD-Roast dostarcza graficznego interfejsu do komend takich jak
cdrecord oraz mkisofs. X-CD-Roast zawiera samo-wyjaniajcy si
interfejs uytkownika pod X11, automatyczn konfiguracj urzdze SCSI
oraz IDE itp.

%description -l pt_BR
O X-CD-Roast fornece uma interface grfica para os comandos mkisofs e
cdrecord. Sua interface  auto-explicativa. Prov deteco automtica
do hardware SCSI e IDE, suporte para criar novos CDs de dados ISO9660,
suporte para produo de CDs de udio, cpia rpida de CDs sem
gravao no disco rgido e opo para gerar arquivo de log.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
    PREFIX="%{_prefix}" \
    CC="%{__cc} %{rpmcflags}" \
    CDRTOOLS_PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_applnkdir}/Utilities/CD-RW

%{__make} PREFIX="%{_prefix}" DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Utilities/CD-RW
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG DOCUMENTATION FAQ README TRANSLATION.HOWTO README.atapi
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}-%{ver}
%dir %{_libdir}/%{name}-%{ver}/bin/
%attr(755,root,root) %{_libdir}/%{name}-%{ver}/bin/cddbtool
%attr(755,root,root) %{_libdir}/%{name}-%{ver}/bin/rmtool
%attr(755,root,root) %{_libdir}/%{name}-%{ver}/bin/vrfytool
%attr(755,root,root) %{_libdir}/%{name}-%{ver}/bin/wavplay
%attr(2755,root,cdwrite) %{_libdir}/%{name}-%{ver}/bin/xcdrwrap
%dir %{_libdir}/%{name}-%{ver}/lang
%attr(755,root,root) %{_libdir}/%{name}-%{ver}/lang/*.sh
%{_libdir}/%{name}-%{ver}/lang/*.def
%{_libdir}/%{name}-%{ver}/icons
%{_libdir}/%{name}-%{ver}/sound
%{_applnkdir}/Utilities/CD-RW/%{name}.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xcdroast.spec,v $
Revision 1.16  2002/10/05 11:24:06  adasi
  - xcdroast-home_etc.patch is back, fixed, should be working,

Revision 1.15  2002/10/05 11:05:01  aflinta
- kicked out broken home_etc patch

Revision 1.14  2002/06/04 04:42:20  pascalek
- Release 2
- home_etc patch added
- setting CDRTOOLS_PREFIX to allow xcdroast to find our cdrtools

Revision 1.13  2002/05/30 11:59:14  kloczek
- removed imlib-devel and libpng-devel from BuildRequires,
- use new %doc,
- replace xpm Icon by png in in desktp file,
- merge translations from Conectiva.

Revision 1.12  2002/05/30 10:51:21  ggodlewski
- added BuildRequires gdk-pixbuf-devel

Revision 1.11  2002/04/25 15:33:43  aflinta
- added desktop file and icon
- release 1 STBR and Burn baby, burn!

Revision 1.10  2002/04/24 22:44:18  aflinta
 - started update to version 0.98alpha10, works fine, but needs
   some updates in %files, docs and so on

Revision 1.9  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/07/24 00:44:58  kloczek
- other typo.

Revision 1.6  2001/07/24 00:15:08  kloczek
- typos.

Revision 1.5  2001/07/23 18:35:51  kloczek
- added missing %directories to %files list.

Revision 1.4  2001/07/23 12:38:20  pascalek
- update to 0.98alpha9

Revision 1.3  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2000/12/05 20:04:27  misiek
updated to alhpa8

Revision 1.1  2000/10/30 00:29:11  pascalek
- initial release (based on rh spec)
